Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 18 Apr 2014, 15:22
All times are UTC - 4
 Forum index » Advanced Topics » Hardware
Wireless Ralink rt73 Classmate PC not work !
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
Hacao


Joined: 10 Aug 2005
Posts: 225
Location: Saigon, Vietnam

PostPosted: Sun 21 Oct 2007, 03:40    Post subject:  Wireless Ralink rt73 Classmate PC not work !  

Hi all,

Howto using rt73 wireless (inside laptop) Classmate PC (Intel) Puppy 2.16 & 3.01 ?





Puppy 2.16 not included rt73 driver, 3.01 not detected correct (show rt2570) and not work.

Thanks,

_________________
Hacao Linux 2009 CE released !

Hacao.com English & Vietnamese !
Back to top
View user's profile Send private message Visit poster's website 
tempestuous

Joined: 10 Jun 2005
Posts: 5139
Location: Australia

PostPosted: Sun 21 Oct 2007, 04:25    Post subject:  

Puppy v2.16 does contain the rt73 module, but it's an older unstable version, and it won't work with wpa_supplicant.
Use the updated version from here -
http://www.murga-linux.com/puppy/viewtopic.php?p=121186#121186
And as paulsiu reported, it might be necessary to load the firmware_class module first -
Code:
modprobe firmware_class


For Puppy v3.01, just unload the wrong module and load the correct one -
Code:
rmmod rt2570
modprobe rt73
Back to top
View user's profile Send private message 
raffy

Joined: 25 May 2005
Posts: 4752
Location: Manila

PostPosted: Sun 21 Oct 2007, 08:02    Post subject: pakt  

Thanks, tempestuous. In addition, pakt has done some experiments on RT73, so I will alert him about this thread.
_________________
Puppy user since Oct 2004. Want FreeOffice? Get the sfs (English only).
Back to top
View user's profile Send private message 
Hacao


Joined: 10 Aug 2005
Posts: 225
Location: Saigon, Vietnam

PostPosted: Sun 21 Oct 2007, 22:51    Post subject:  

tempestuous wrote:
Puppy v2.16 does contain the rt73 module, but it's an older unstable version, and it won't work with wpa_supplicant.
Use the updated version from here -
http://www.murga-linux.com/puppy/viewtopic.php?p=121186#121186
And as paulsiu reported, it might be necessary to load the firmware_class module first -
Code:
modprobe firmware_class


For Puppy v3.01, just unload the wrong module and load the correct one -
Code:
rmmod rt2570
modprobe rt73


Thanks,

_________________
Hacao Linux 2009 CE released !

Hacao.com English & Vietnamese !
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0409s ][ Queries: 11 (0.0038s) ][ GZIP on ]